Subject: Re: [GSoC][PATCH] builtin/clean.c: fix error message usage typo

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Feb 2023 21:32:00 -0800

Shuqi Liang <[email-masked]> writes:

> As Documentation/CodingGuidelines says, we shouldn't capitalize the first
> word in error message. Change the capital letter to lowercase letter.

I think the "do not caplitalize" rule is about the sentence after
"fatal:", "error:", "warning:", and "info:" labels.

> -static const char *msg_remove = N_("Removing %s\n");
> -static const char *msg_would_remove = N_("Would remove %s\n");
> -static const char *msg_skip_git_dir = N_("Skipping repository %s\n");
> -static const char *msg_would_skip_git_dir = N_("Would skip repository %s\n");
> -static const char *msg_skip_cwd = N_("Refusing to remove current working directory\n");
> -static const char *msg_would_skip_cwd = N_("Would refuse to remove current working directory\n");

Do any of these messages come after any of these labels?  I didn't
think so.

>  static const char *msg_warn_remove_failed = N_("failed to remove %s");
>  static const char *msg_warn_lstat_failed = N_("could not lstat %s\n");

These do appear after "warning:" and downcasing is very much
appropriate.

Thanks.